Subject: Re: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Fri, 08 Jan 2021 15:37:34 +0000

Justin Schell <[email-masked]> writes:

>> look like there's some odd state that is complicating the investigation.
>> Have you tried removing the 'eln-cache' folder?  I'm not sure where in
>> MacOS is, I have it under '~/.emacs.d/eln-cache'.
>
> Yes, it still happens after removing the `eln-cache` folder.
>
>> Also, are we talking about an 'emacs -Q' session correct?
>
> Correct.

I guess the next step for me would be to produce a batch reproducer and
then run it under gdb with a break point in 'wrong_type_argument' to see
where this is going wrong.  It's also bizarre that the Lisp debugger is
not triggered by `toggle-debug-on-error'.

  Andrea